Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
QoreRWLock Class Reference

provides a simple POSIX-threads-based read-write lock More...

`#include <QoreRWLock.h>`

## Public Member Functions
DLLLOCAL | QoreRWLock ()
| creates and initializes the lock
DLLLOCAL | ~QoreRWLock ()
| destroys the lock
DLLLOCAL int | rdlock ()
| grabs the read lock
DLLLOCAL int | tryrdlock ()
| tries to grab the read lock; does not block if unsuccessful
DLLLOCAL int | trywrlock ()
| tries to grab the write lock; does not block if unsuccessful
DLLLOCAL int | unlock ()
| unlocks the lock (assumes the lock is locked)
DLLLOCAL int | wrlock ()
| grabs the write lock

## Protected Member Functions
DLLLOCAL QoreRWLock & | operator= (const QoreRWLock &)
| this function is not implemented; it is here as a private function in order to prohibit it from being used

## Protected Attributes
pthread_rwlock_t | m
| the actual locking primitive wrapped in this class

## Detailed Description

provides a simple POSIX-threads-based read-write lock

This utility class is just a simple wrapper for pthread_rwlock_t. It does not provide any special logic for checking for correct usage, etc.

The documentation for this class was generated from the following file:

- include/qore/QoreRWLock.h (6086)